/*
 * app-core
 *
 * Copyright (c) 2000 - 2011 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Contact: Jayoun Lee <airjany@samsung.com>, Sewook Park <sewook7.park@samsung.com>, Jaeho Lee <jaeho81.lee@samsung.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @ingroup CAPI_APPLICATION_FRAMEWORK
 * @defgroup CAPI_SERVICE_APP_MODULE Service Application
 * @brief Launches or exits serviceApp.
 * @section CAPI_SERVICE_APP_MODULE_HEADER Required Header
 * \#include <service_app.h>
 * @section CAPI_SERVICE_APP_MODULE_OVERVIEW Overview
 * The @ref CAPI_SERVICE_APP_MODULE API provides functions for handling Tizen service application state changes or system events.
 * This API provides interfaces for the following three categories:
 * - Starting or exiting the main event loop.
 * - Registering callbacks for application state change events.
 * - Registering callbacks for basic system events.
 */
